Skip to main content

GetBucketMetadataTableConfiguration

Returns the metadata table configuration for a bucket. This operation requires the s3:GetBucketMetadataTableConfiguration permission.

Permissions​

To use this operation, you must have the s3:GetBucketMetadataTableConfiguration permission.

Request Syntax​

GET /?metadataTable HTTP/1.1
Host: BucketName.qstorage.quilibrium.com
x-amz-expected-bucket-owner: OwnerAccountId
Values in italics indicate user input and should be replaced with actual values.

Request Parameters​

Request Headers​

NameDescriptionRequiredType
x-amz-expected-bucket-ownerThe account ID of the expected bucket ownerNoString

Request URI Parameters​

NameDescriptionRequiredType
BucketNameThe name of the bucket for which to get the metadata table configurationYesString

Request Body​

This request does not have a request body.

Response Syntax​

HTTP/1.1 200
<?xml version="1.0" encoding="UTF-8"?>
<GetBucketMetadataTableConfigurationResult>
<MetadataTableConfigurationResult>
<S3TablesDestinationResult>
<TableArn>string</TableArn>
<TableBucketArn>string</TableBucketArn>
<TableName>string</TableName>
<TableNamespace>string</TableNamespace>
</S3TablesDestinationResult>
</MetadataTableConfigurationResult>
<Status>string</Status>
<Error>
<ErrorCode>string</ErrorCode>
<ErrorMessage>string</ErrorMessage>
</Error>
</GetBucketMetadataTableConfigurationResult>

Response Headers​

NameDescriptionRequiredType
x-amz-id-2An identifier for the requestNoString
x-amz-request-idA unique identifier for the requestNoString

Response Elements​

NameDescriptionRequiredType
GetBucketMetadataTableConfigurationResultRoot level tag for the GetBucketMetadataTableConfigurationResult parametersYesContainer
MetadataTableConfigurationResultThe metadata table configuration for a general purpose bucketYesMetadataTableConfigurationResult
StatusThe status of the metadata table. Values: CREATING (table is being created), ACTIVE (table created successfully and records being delivered), FAILED (unable to create table or deliver records)YesString
ErrorContains error information if the table creation failsNoErrorDetails

Data Types​

The GetBucketMetadataTableConfiguration API uses the following data types:

Examples​

Get Metadata Table Configuration​

Sample Request​

GET /?metadata-table-configuration HTTP/1.1
Host: example-bucket.qstorage.example.com
x-amz-expected-bucket-owner: 111122223333

Sample Response​

HTTP/1.1 200
<?xml version="1.0" encoding="UTF-8"?>
<GetBucketMetadataTableConfigurationResult>
<MetadataTableConfigurationResult>
<S3TablesDestinationResult>
<TableArn>arn:qstorage:example-region:111122223333:table/example-table</TableArn>
<TableBucketArn>arn:qstorage:example-region:111122223333:bucket/example-bucket</TableBucketArn>
<TableName>example-table</TableName>
<TableNamespace>example-namespace</TableNamespace>
</S3TablesDestinationResult>
</MetadataTableConfigurationResult>
<Status>ACTIVE</Status>
<Error>
<ErrorCode></ErrorCode>
<ErrorMessage></ErrorMessage>
</Error>
</GetBucketMetadataTableConfigurationResult>

Test

Coming Soon

This feature is currently under development and will be available soon.